=== debian/changelog ===
ros-kinetic-ecto-image-pipeline (0.5.7-0xenial) xenial; urgency=high

  * fix PCL compilation
  * fix compilation with OpenCV3
  * convert tests to proper nosetests
  * move samples to the proper folder
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Apr 2016 22:00:00 -0000

ros-kinetic-ecto-image-pipeline (0.5.6-0xenial) xenial; urgency=high

  * fixing the depth rescale and its calibration matrix
  * Contributors: nlyubova

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 18 Apr 2015 22:00:00 -0000

ros-kinetic-ecto-image-pipeline (0.5.5-0xenial) xenial; urgency=high

  * Fixed issue with the format of images (now it is CV_32F)
  * clean extensions
  * do not depend on ecto_opencv for building
  * convert a test to a proper gtest
  * Contributors: Vincent Rabaud, nlyubova

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Apr 2015 22:00:00 -0000

ros-kinetic-ecto-image-pipeline (0.5.4-0xenial) xenial; urgency=high

  * add Eigen as a build dependency
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 19 Nov 2014 23:00:00 -0000

ros-kinetic-ecto-image-pipeline (0.5.3-0xenial) xenial; urgency=high

  * remove the PCL dependency
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 19 Nov 2014 23:00:00 -0000

ros-kinetic-ecto-image-pipeline (0.5.2-0xenial) xenial; urgency=high

  * re-add opencv_candidate as a dep as it is find_packaged
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Apr 2014 22:00:00 -0000

ros-kinetic-ecto-image-pipeline (0.5.1-0xenial) xenial; urgency=high

  * update dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Apr 2014 22:00:00 -0000

ros-kinetic-ecto-image-pipeline (0.5.0-0xenial) xenial; urgency=high

  * no need for g2o cells: g2o things should be done through the library anyway
  * make the code compile on Indigo
  * use the proper new camera topic
  * use the newer catkin variable for tests
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Apr 2014 22:00:00 -0000

ros-kinetic-ecto-image-pipeline (0.4.13-0xenial) xenial; urgency=high

  * fix dependencies with PCL

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 28 Aug 2013 20:03:21 +0200
