=== debian/control ===
Source: ros-kinetic-ecto-image-pipeline
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libeigen3-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-ecto, ros-kinetic-opencv-candidate, ros-kinetic-rosunit
Homepage: http://plasmodic.github.io/ecto_image_pipeline/
Standards-Version: 3.9.2

Package: ros-kinetic-ecto-image-pipeline
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, ros-kinetic-ecto, ros-kinetic-ecto-opencv, ros-kinetic-ecto-ros, ros-kinetic-opencv-candidate
Description: Common tools for image based pipelines.
 Includes stereo and mono camera drivers, rectification, image sinks, calibration, etc..
